void MakeTestTree(char filenamn[])

{
  TFile utfil(filenamn,"RECREATE");
  TTree *uttrad = new TTree("PROOFtestTREE","PROOFtestTREE");
  Double_t px,py,pz,E;
  uttrad->Branch("px",&px,"px/D");
  uttrad->Branch("py",&py,"py/D");
  uttrad->Branch("pz",&pz,"pz/D");
  uttrad->Branch("E",&E,"E/D");
  TRandom3 rand;
  TStopwatch timer;
  uttrad->SetAutoSave(100000);
  for (ULong64_t i=0; i<1000000000; i++){
    px = rand.Gaus();
    py = rand.Gaus();
    pz = rand.Gaus();
    E = rand.Uniform(0,10);
    uttrad->Fill();
    if ((i+1)%1000000==0){
      cout << "Made " << i+1 << " out of 1000000000. Took " 
	   << timer.RealTime() << "s. \n";
      timer.Start();
    }
  }
  uttrad->Write();
  utfil.Close();
}
